登录 注册

登录

问题 J2.5模版浏览器不兼容问题,求高手解决(请报价!)

更多
2013年04月27日 14:15 - 2013年04月29日 15:23 #1 作者: Melodia
我做的网站在IE10、firefox20.0.1出现浏览器不兼容的问题,请问如何解决?
网站链接:www.powerforce.cn/jbh

以下是截图



附件:
最后修改: 2013年04月29日 15:23 由 Melodia.

登录 或者   注册一个会员帐号 来参与讨论

更多
2013年04月29日 15:12 #2 作者: Melodia
请问是否有插件安装后,可以解决浏览器兼容问题呢?

登录 或者   注册一个会员帐号 来参与讨论

更多
2013年04月29日 15:17 #3 作者: Joomla之门
你选用的模板好像还是商业模板,按理来说应该不存在不兼容高版本浏览器的问题。一般常见的是不兼容 IE 6,你这个倒怪了,不兼容 IE10 !

我建议你联系模板作者,或者到模板官方网站看看相关文档,或许是你哪里操作不合适?收费模板官方应该提供技术支持的。

付费下载 Joomla 3 扩展汉化版: 我要付费支持 Joomla 之门!

登录 或者   注册一个会员帐号 来参与讨论

更多
2013年04月29日 15:22 #4 作者: Melodia
你好,白老大,我这个是在okjoomla免费下载的模版,会不会是因为原来安装包的joomla核心系统是2.5.4,升级到2.5.9后的原因呢?

登录 或者   注册一个会员帐号 来参与讨论

更多
2013年04月29日 16:19 #5 作者: Joomla之门
Joomla 核心的升级不会影响模板对浏览器的支持。而且,我前面说了,一般产生兼容问题是针对低版本浏览器,很少听说对高版本浏览器不支持、不兼容。

当然了。如果只是在两个高版本浏览器上的效果不同,那么,未必是一个“错误”,很可能只是一个“功能缺失”。也就是说,模板作者在写 CSS 的时候,未能顾及众多浏览器,只是针对一两个(或者只有一个)主流浏览器做了 CSS 设计。

如果是 CSS 上的问题,不是你的操作失误,那么,建议请 CSS 高手帮你来修复一下。

最后提醒一下:搭建正式网站不要使用盗版模板,从官方网站购买正版,既保证安全,还能得到技术支持,一举两得。区区几十美元,跟你的网站安全比起来,哪个重要?

付费下载 Joomla 3 扩展汉化版: 我要付费支持 Joomla 之门!

登录 或者   注册一个会员帐号 来参与讨论

更多
2013年04月29日 16:21 #6 作者: Joomla之门
还有,我想起来我之前看过你的网站,你使用了 Maxi Menu CK 这个下拉菜单模块。或许是这个模块的 CSS 与 模板自带的菜单系统发生了冲突?建议禁用这个模块试试看。

一般来说,这种商业模板都自带下拉/滑动/弹出菜单系统,你应该用不上 Maxi Menu CK 的。你可以尝试用模板自带的菜单系统来制作你目前用 CK 模块所作的那个菜单。

付费下载 Joomla 3 扩展汉化版: 我要付费支持 Joomla 之门!

登录 或者   注册一个会员帐号 来参与讨论

更多
2013年04月29日 16:23 #7 作者: Melodia
你好,白老大,我找到原因了,是因为Joomla核心升级到2.5.9的原因,我测试过了,j2.5.8是没有浏览器兼容问题的
有个问题需要请教一下白老大的,现在核心是2.5.9,请问如何修改为j2.5.8核心呢?
因为网站内容输入很多了,不想再重复多做一次

登录 或者   注册一个会员帐号 来参与讨论

更多
2013年04月29日 17:18 #8 作者: Joomla之门
还有这样的事情?那么应该查找一下,Joomla 2.5.8 到 2.5.9 更新了哪些内容?然后再排查是哪个文件或功能影响到了模板的兼容性?

不建议你做核心降级。按理说,你还应该继续升级到 2.5.11,才能保证网站安全。低版本都存在安全漏洞。

而且,好像还没听说过有什么工具可以帮助“降级”。

付费下载 Joomla 3 扩展汉化版: 我要付费支持 Joomla 之门!

登录 或者   注册一个会员帐号 来参与讨论

更多
2013年05月04日 21:07 #9 作者: Melodia
火狐的兼容问题解决了,但IE10的兼容问题还未解决,请问哪位高手曾经有遇到过浏览器兼容的问题,希望能给我提一些建议呢?

登录 或者   注册一个会员帐号 来参与讨论